- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sbuild::basic_nbuf< cT, traits > Class Template Reference

Null stream buffer. More...

`#include <sbuild-nostream.h>`

List of all members.

## Private Member Functions
traits::int_type | overflow (typename traits::int_type c)
| Output buffer.

## Detailed Description

### template<class cT, class traits = std::char_traits<cT>>
class sbuild::basic_nbuf< cT, traits >

Null stream buffer.

This stream buffer acts as a bit-bucket, discarding all input.

## Member Function Documentation

template<class cT, class traits = std::char_traits<cT>>

traits::int_type sbuild::basic_nbuf< cT, traits >::overflow | ( | typename traits::int_type | c | ) | `[inline, private]`

Output buffer.

EOF is never returned.

Parameters:

  | c | the character to output.

Returns:
  traits::not_eof is always returned, never traits::eof.

The documentation for this class was generated from the following file:

- sbuild/sbuild-nostream.h